How to configure TLS versions in App Service and Functions apps in Azure Government


TLS (Transport Layer Security) protocols provide privacy and data integrity for establishing secured connections between applications. Over the period of time TLS has evolved and new versions have continued to fix vulnerabilities in older versions and also add newer capabilities. As Azure Government customers continue to optimize security of their cloud based applications and solutions, a simple setting available for App Services and Functions apps make it easy to configure Minimum TLS Version supported by the app. Not supporting older versions of TLS may be needed for security reasons and this feature makes it easier to achieve that.

Follow these steps for App Services apps-

  1. From Azure Government Portal, select App Service and go to SSL Settings.
  2. Select desired Minimum TLS Version.

For Function apps-

  1. From Azure Government Portal, select Function app and go to Platform features, and then SSL Settings.
  2. Select desired Minimum TLS Version.

Learn more at-

Comments (0)

Skip to main content